
import React from 'react';
import Icon from 'react-icon-base';

const SlSpeedometer = props => (
    <Icon viewBox="0 0 1024 1024" {...props}>
        <g><path transform="scale(1, -1) translate(0, -960)" d="M511.984 923.872c-281.968 0 -511.345 -229.408 -511.345 -511.376c0 -177.152 89.6797 -339.185 239.903 -433.408c14.9443 -9.47168 34.6885 -4.87988 44.0967 10.0957s4.87988 34.7197 -10.0957 44.0957c-54.0957 33.9521 -99.04 78.0479 -133.424 128.88 l33.5518 19.376c15.3115 8.84766 20.5596 28.3994 11.7119 43.7109c-8.87988 15.3438 -28.4639 20.5596 -43.7119 11.7119l-33.5996 -19.3916c-24.4004 50.5117 -39.2969 105.792 -43.2812 163.424h35.6162c17.6797 0 32 14.3203 32 32s-14.3203 32 -32 32h-35.4561 c4.24023 58.6875 19.7764 114.304 44.5605 164.592l32.1602 -18.5596c5.02441 -2.91211 10.5283 -4.28809 15.9688 -4.28809c11.0557 0 21.8076 5.74414 27.7432 16c8.84766 15.3125 3.59961 34.8809 -11.7119 43.7129l-31.8398 18.3682 c32.1123 46.832 72.8643 87.2959 119.984 119.023l18.0156 -31.2002c5.93555 -10.2881 16.6875 -16 27.7432 -16c5.44043 0 10.9443 1.37598 15.9688 4.28809c15.3115 8.84766 20.5596 28.3994 11.7119 43.7119l-17.9521 31.0723 c49.3281 23.792 103.68 38.6562 160.976 42.8164v-39.8721c0 -17.6797 14.3203 -32 32 -32s32 14.3203 32 32v40c58.5918 -4.08008 114.128 -19.3916 164.384 -43.9512l-17.3604 -30.0479c-8.84766 -15.3115 -3.59961 -34.8799 11.7119 -43.7119 c5.02441 -2.91211 10.5283 -4.28809 15.9688 -4.28809c11.0557 0 21.8076 5.71191 27.7432 16l17.2803 29.9355c46.6885 -31.7764 87.0723 -72.1445 118.88 -118.816l-29.9678 -17.3115c-15.3115 -8.84766 -20.5596 -28.3994 -11.7119 -43.7109 c5.93555 -10.2881 16.6875 -16 27.7432 -16c5.44043 0 10.9443 1.37598 15.9688 4.28809l30.1279 17.3916c24.5918 -50.2725 39.9521 -105.824 44.0479 -164.433h-35.1357c-17.6797 0 -32 -14.3203 -32 -32s14.3203 -32 32 -32h35.1201 c-4.04785 -56.8799 -18.5918 -111.439 -42.4961 -161.312l-31.6797 18.2881c-15.2803 8.84766 -34.9121 3.56738 -43.7119 -11.7129c-8.84766 -15.3115 -3.59961 -34.8799 11.7119 -43.7119l31.7764 -18.3516c-35.1035 -52.2402 -81.4395 -97.3926 -137.359 -131.824 c-15.0557 -9.28027 -19.7119 -29.0078 -10.4639 -44.0322c6.06445 -9.80762 16.5283 -15.2158 27.2803 -15.2158c5.71191 0 11.5361 1.53613 16.752 4.75195c152.464 93.9043 243.472 256.784 243.472 435.632c0 281.952 -229.408 511.36 -511.376 511.36zM748.111 512.272 c15.2959 8.84766 20.5439 28.3984 11.7119 43.71c-8.83203 15.2959 -28.416 20.5439 -43.7119 11.6963l-173.824 -100.352c-9.28027 5.24805 -19.8564 8.49609 -31.2803 8.49609c-35.2803 0 -63.8398 -28.5918 -63.8398 -63.8076 c0 -35.248 28.5762 -63.8398 63.8398 -63.8398c35.2803 0 63.8398 28.5918 63.8398 63.8398c0 0.0644531 -0.015625 0.144531 -0.015625 0.208984z"/></g>
    </Icon>
);

export default SlSpeedometer;
